REST Documentation

View InboundXML Docs

List Notifications

There are two types of notification lists that can be returned: a lists of every notification associated with an account using the first Request URI below, or a list of only notifications associated with a given CallSid using the second Request URI below.

Request URI

A list of the notification resources can be viewed using the HTTP GET method. The format of the URIs used to make the GET request is below.

GET https://api.telapi.com/v1/Accounts/{AccountSid}/Notifications GET https://api.telapi.com/v1/Accounts/{AccountSid}/Calls/{CallSid}/Notifications

Parameters

The following case-sensitive parameter can be used to specify what will be returned in your list request.

Parameter Description
Specifies that only notifications with the given log level value should be listed. 2=INFO, 1=WARNING, 0=ERROR.
Allowed Value:
the digits 0, 1, or 2
optional
Used to return a particular page within the list.
Allowed Value:
integer greater than 0
optional
Used to specify the amount of list items to return per page.
Allowed Value:
integer greater than 0

Example Response

An example of what a response to a list notification request may look like is below.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.